	Version 1.60c7s8(06/07/15)
	・BEGINNERロール中はブロックを置くだけで花火発生
	・TOMOYOモードのBGMのバグを修正
	・mini_select = 1のときのTOMOYOモードのステージセレクトをやめた
	
	Version 1.60c7s7(06/07/12)
	・biginnerモードにコンボ数に応じて花火数を増やしました
	(厳密な解析がされていないため某シューティングのそれっぽい式で代用)
	・ロール中は花火数が2倍、カンスト時には+30ボーナス
	・biginnerモードプレイデータに段位の代わりに花火数を表示
	・biginnerモードの花火を3倍速く描写
	・ALLCLEARの文字の時の花火数を制限

	Version 1.60c7s6(06/07/11)
	・ライン消去アニメーション中も横溜め可能
	・mini_selectが1でもエンドレスかタイムトライアルかどうか選択可能
	　TOMOYOモードでは開始ステージを選べます
	・UPLINE（せり上がりタイプ）をプレイヤーごとに変更
	・debug = 1のときBGMが正常に流れないバグを修正したつもり
	・NEXT表示キーで設定値以上のNEXT表示数に切り替えられるように変更
	・SETTING画面のBGMに拡張子がmp3のファイルを読み込む「TAP(MP3)」を追加
	・spawn_y_type = 1のときに21段目を追加
	
	Version 1.60c7s5(06/07/09)
	・モードセレクト画面大幅変更
	　SHIRASE設定復活
	　SHADOWをONにすると最初から見えロールっぽくなります
	・[]を無くす設定（over1000_block）と[]の開始レベルの設定（over1000_start）をheboris.iniに追加
	・spawn_y_type = 1のときに裏段位判定が行われないバグを修正
	・ブロックの枠の表示順位を修正
	・モードセレクトのOTHERSにUPLINEを追加（せり上がりタイプ変更）
	・BGMのバグを修正＆仕様変更
	
	Version 1.60c7s4D(06/07/08)
	・ミニセレクト周辺を整理
	・SHIRASEをを廃止
	・HIDDENLVはミニセレクト内に
	・BIGモードはHOLDボタンに統一
	・MISSIONモードの5ステージごとの足切りを表示
	・対戦モードのWINLVをゲーム内で設定できるようにしました
	・TOMOYOモードの文字を表示
	
	Version 1.60c7s4(06/07/08)
	・MISSIONモード
	　OPTIONSのOP2を廃止
	　ターゲットのステージクリア演出を変更（消去エフェクトと共に次のステージが現れる）
	　イレイサーの線の表示の優先順位を変更（ブロックより下、枠より上）
	　イレイサーで余分な線が出てこないように変更
	　ゲームオーバー後のPLAY DATA画面を変更
	・普通のブロックとプラチナブロック／アイテムブロックのグラフィックを分離
	
	Version 1.60c7s3(06/07/07)
	・ミッション一覧表示を追加（最大で5つまで表示）
	・背景フェード機能を廃止
	・TLSを常に有効or常に無効にする設定を追加
	
	Version 1.60c7s2(06/07/06)
	・ブロックを枠よりも上から出現させる設定を追加（spawn_y_type）
	　枠から完全にはみ出ている所に置くと死にます
	・MISSIONモード
	　イレイサー追加（線のあるところでラインを消す）
	　ターゲットで、ステージクリア後にREADY表示を追加＆既に出現した面がまた出ないようにした
	　ハイスピード１、ハイスピード２、アナザー追加
	
	Version 1.60c7s1(06/07/05)
	・MISSIONモード
	　640x480でも正しく表示できるように変更
	　ターゲット追加（ただしプラチナブロックの位置は固定で、クリアしたステージがまた出ることもあります）
	　ミッションクリア後にREADY→GOを追加
	　フォントサイズがSMALLの場合にNORM表示が出ないバグを修正
	・その他
	　NEXT PATTERNに9を追加（最初の7手に7種類のブロック全てが出現し、その後も7種類全て出現してくるあれ）
	
	Version 1.60c7r9(06/07/04)
	・ACEモードとMISSIONモードで10秒前になるとhurryup.wav、0になるとtimeover.wavを再生
	・MISSIONモードにサイクルを追加（シングル、ダブル、トリプル、ヘボリスを1回ずつ行うとクリア、順不問）
	　注意：ノルマは必ず4以下にしてください。
	・ミッションクリア時に指定ライン数を消去する機能を追加
	
	Version 1.60c7r8(06/07/03)
	・MISSIONモード追加
	
	Version 1.60c7r7(06/06/30)
	・ワールドルールのI型の回転補正を変更する設定を追加（world_i_rot）
	・ARSとARS2のheboblk4.bmpとheboblk5.bmpを廃止し、heboblk1.bmpを使うように変更
	・接地した状態で移動または回転できる回数を1回延長（9回→10回、127回→128回）
	・BGMがMIDIの時に一度ゲームオーバーになると二度とBGMが流れなくなるバグを修正
	
	Version 1.60c7r6(06/06/28)
	・TOMOYOモードを選択した状態でHOLDを押すと28面から遊べる機能を追加
	・同じようにACEモードを選択した状態でHOLDを押すとビッグモード
	
	Version 1.60c7r5(06/06/27)
	・対戦モードにゴールレベルと制限時間を追加
	・FPS表示を修正
	
	Version 1.60c7r4(06/06/26)
	・対戦モードのセメントモードを追加
	・対戦モードの速度フォーマットを追加
	・STメダルの4段目を表示するようにした
	・対戦モードのスピード表示を変更
	・SKメダルの出現条件を変更
	(40,32,25,15)
	
	Version 1.60c7r3(06/06/25)
	・ワールド足切りタイムとLV1000足切りタイムをリプレイに保存するように変更
	・WORLD3でロール突入時にブロックが消えないバグを修正
	・CPUがWORLD3で置きミスを連発するバグを修正
	・対戦でX-RAYがうまく動作しない（ブロックを弾き飛ばしたときにしか効果がない）バグを修正
	・対戦で初めからBIGの場合、アイテムを食らうとBIGを解除されてしまうバグを修正
	・地面に当たると同時に下を押しても固定されないバグを修正したつもり
	
	Version 1.60c7r2+(06/06/25)
	・Aceの高難易度版としてアナザーモードを追加
	・デビルモードでのワールドでの足切りを追加
	・リプレイの詳細表示をちょっと追加
	
	Version 1.60c7r2(06/06/23)
	・バグが多かったのでc7q8ベース
	・roll_syncは一時的に廃止
	・WORLD3ルール追加（ブロックを置くとすぐに次が出てくる＆無限回転可能）
	・BIG時にせり上がりを2倍する設定をheboris.iniに追加
	
	Version 1.60c7q8(06/06/19)
	・WORLD、WORLD2、ARSで上入れすると一気にブロックが2つ固定されてしまうバグを修正したつもり
	・背景が無い場合に残像が残るバグを修正
	・DEVILのエンドレスモードでLV1400以降になるとクラッシュするバグを修正
	・セクションタイム表示のメダル色を少し変更
	・DEVILモードにLV1000のとりカンを追加
	
	Version 1.60c7q7(06/06/14)
	対戦モード変更点
	・シングル台でVERSUS MODEに入るとNEXT欄がおかしくなるバグを修正
	・アイテムの有無の設定を開始前の設定画面から変更可能
	その他変更点
	・メダルの色に合わせて左上のセクションタイム表示の色も変える
	・GAME OVERの表示のあと、片方のプレイヤーがプレイ中でない場合は背景をリセット
	・最大FPSの設定をheboris.iniに追加（max_fps_2）
	
	Version 1.60c7q6(06/06/13)
	・赤のIRSをTGM基準にする設定をheboris.iniに追加＠hogeパッチより追加
	・背景の描画がちょっと早くなったかも？（NEXTやHOLDの文字を背景にあらかじめ合成）
	　背景を無くすときはskip_viewbgを1にしてください。
	
	Version 1.60c7q5(06/06/12)
	対戦モード変更点
	・アイテムの出現するタイミングを変更（いきなり操作中ブロックがアイテムになる→NEXTの最後から現れる）
	・ブロックが弾き飛ばされたときに若干の待ち時間を追加
	・アイテムが発動するタイミングを「消した瞬間」から「消したあと上にあったブロックが落下した瞬間」に変更
	・「X-RAY」「COLOR」追加
	・アイテム無しにする設定を追加(noitem)
	花火変更点
	・花火の発生位置をフィールド上部のみに限定
	・BEGINNERで複数ライン消したときには時間差で発生するよう変更
	・ラインを消しても花火を出さない設定を追加(no_hanabi)
	その他変更点
	・STメダルのバグを修正したつもり
	
	Version 1.60c7q4(06/06/10)
	・花火もどき追加
	・SMALLフォントをACEモードのNORM表示とTOTAL TIME表示に対応
	・STメダルの表示位置修正
	
	Version 1.06c7q3(06/06/09)
	・NEXTを6つまで表示可能にしました。
	・monochrome_modeを2にすると最初から[]を使えます。
	
	Version 1.06c7q2ex(06/06/08)
	・hide_STが1のときは点灯していない状態のSTメダルを表示しないようにしました。
	・壁蹴りを無効にする設定をheboris.iniに追加しました。（disable_wallkick）
	・ARSルールとARS2ルールを追加しました。
	
	Version 1.06c7q1ex(06/06/08)
	変更点
	・PRACTICEのNEXT PASSとFPS復活
	・消えロール突入タイミングを修正したつもり
	・[]のときはテトリス棒の表示位置を押し下げない（公式ムービーを見ると表示位置が通常時と[]の時が異なっている）
	・[]をホールドしたときは普通の灰色ブロックではなく、暗い[]を表示
	・同じようにロールロール中の灰色化も[]に対応
	・NEXTCの設定をPRACTICEにも追加（>>900）
	・フルスクリーンも軽くなった（>>901）
	・固定時の点滅を直したつもり（>>901）
	・BIGでもHOLD枠点滅
	・ACEモード追加
	・STメダルの個数を表示
	・ACEモードの小さいフォントでも表示
	・セクションランキングの表示を弄った
	
	Version 1.06c7p9ex(06/06/06)
	・起動時のロード中は、フォーカスが外れてもポーズをかけないように
	・高解像度版の画像に新規対応
	・NEXTブロック右端のグラデーション部分をなめらかに
	・HOLDブロックの枠を点滅させるように変更
	・HOLDブロック、NEXTブロックの表示位置を微調整
	・NEXTブロックがテトリス棒のときは、表示位置を1段下げる
	・X-RAY, COLORモードに対応 (TOMOYO, PRACTICE)
	・X-RAY, COLORモード時の背景・枠表示の設定を追加

	Version 1.60c7p9(06/06/02)
	・2P側のリプレイがうまく保存できない（1P側NEXTが保存される）バグを修正
	・ツモスキップ時にhold.wavを鳴らす
	・CPUがたまに棒をHOLDするように変更（Z型、S型、O型がずっとHOLD欄に入っているのを防止）
	
	Version 1.60c7p8(06/06/01)
	・BGMの音量設定を追加
	・背景を切り替える回数の設定を追加
	・表示が被る個所を修正
	・BGMがフェードアウトする瞬間に一瞬音が大きくなるバグを修正
	・SINGLE台でVERSUSモードに入り、Bボタンで出る前にESCキーを押すと、次回起動時にDUAL台になっているバグを修正
	
	Version 1.60c7p7(06/05/31)
	・セクションタイムランキングの文字列関係をStrCpy関数を使用するように変更
	・終了時にエラーが出る対策として終了時のランキング保存をやめた
	・STメダル追加
	・表示領域が厳しいのでレベル表示をさらに下に移動
	
	Version 1.60c7p6(06/05/31)
	・セクションタイムランキングもどき追加
	
	Version 1.60c7p5(06/05/30)
	・対戦モードでWAIT値を対戦終了後もそのままにする＆speed.defにデフォルト設定追加
	・SETTINGで「SCREEN MODE」「COLOR MODE」「GRAPHIC LOAD」「BGM」のどれかを変更すると
	　設定保存時に再起動するように変更
	・PRACTICEでINIT FLDを切り替えたとき、即ステージを読み込み
	・リプレイ選択画面でCボタンを押すと詳細情報を表示
	
	Version 1.60c7p4(06/05/28)
	・英語モード追加（モード説明文とPRACTICEモードのWAITS表記が変わるだけ）
	・giveup_safetyのバグを修正
	・2Pがプレイしているときに捨てゲーすると、2Pもモードセレクト画面になるように変更
	・背景切り替わりバグを修正したつもり
	
	Version 1.60c7p3(06/05/27)
	・背景フェードはtrans.dllを使用するように変更（速さはあまり変わりませんでしたorz）
	・デバッグモード時はどこでも（メニューでも）ポーズ可能
	
	Version 1.60c7p2(06/05/24)
	・背景が切り替わる時にフェードアウト／フェードインさせる機能を追加（ただし激重）
	・ステージエディタでボタン押しっぱなしでもブロック配置／消去が可能に
	・SETTINGのWORLD2の色設定を上の方に移動
	
	Version 1.60c7p1(06/05/23)
	・DOWN TYPEがTIなら上入れも制限
	・TOMOYOモードで
	　初期配置ブロックの色が変わらないように変更
	　NEXT1が化けるバグを修正
	　BGMが流れないバグを修正
	・GAME OVERの表示を一番最後に変更
	
	Version 1.60c7o9(06/05/21)
	・hide_version、no_dpoint、p_scoretypeの設定を廃止（使ってる人がいたらごめんorz）
	・PRACTICEのSCORE TYPEはBACKGROUND（背景変更）になりました。
	・HOLDしたとき横方向の先行移動が発生してしまうバグを修正
	・bigtype = 1のとき、3マス以上離れていても接地してしまうバグを修正
	・2P用の初期化処理はシングル台ではしないように変更
	・bigtype = 2にするとTOMOYOとVERSUSでは1マス、他では2マス移動
	・TOMOYOモードのセレクト画面から回転法則選択を削除
	・mini_select = 1のときはTOMOYOモードを選択すると即開始（C+Aでランダムモードになります）
	・HIDDENを使っている場合はラインを消した瞬間に目隠しを下げるように変更
	・DUAL台でもSOLO MODEのセレクト画面からBボタンでタイトルへ直行可能
	　（片方のプレイヤーが参加待ち画面であることが条件）
	・BIG時にせり上がりが正しく動作しないバグを修正
	
	Version 1.60c7o8(06/05/18)
	・デモ中に捨てゲーするとモードセレクト画面になるバグを修正
	・起動してすぐリプレイを見たりデモ画面になった場合NEXTが無くなるバグを修正
	・全消しチェックで消去した段はチェックしない（動作速度向上？）
	・PRACTICEでNEXT PASSを使用した場合もREADY→GOを長くするように変更
	・TOMOYOモードに「TRAINING-B」を追加、前の「TRAINING」は「TRAINING-A」に変更
	　TRAINING-AはステージクリアしてもNEXTは進んだまま、同じステージがまた始まります。
	　TRAINING-Bはステージクリア時にNEXTが開始時に戻ります。
	・TOMOYOモードでEX面専用BGM「tomoyo_ex.wav」を追加（bgmlv:11、サウンドテスト:61）
	・ルール別にブロックのグラフィックを変える
	
	Version 1.60c7o7(06/05/17)
	・NEXT表示個数設定がバグっていたバグを修正したつもり
	・WORLD2の文字色設定がジョイスティック設定と被ってたorzバグを修正
	・TOMOYOモードのステージを1面限定で遊ぶモード「TRAINING」を追加（MODEのPLAYの右、EDITの左）
	・スタッフロールを少し変更（最後に画面中央で止まる）
	
	Version 1.60c7o6(06/05/06)
	・対戦でせり上がりが発生したときアイテムが増殖するバグを修正
	・対戦でアイテムを食らったとき操作中ブロックが弾け飛ばされるアニメーションを追加
	・リプレイでCPUが操作する設定のとき早送りできないバグを修正
	・リプレイを再生すると設定がおかしくなるバグを修正
	・リプレイ選択画面でカーソルを上下押しっぱなしでも動かせる
	・リプレイでスタッフロール中に早送りするとスタッフロールがおかしくなるバグを修正
	・TOMOYOモードでフォントSMALL時に2P側でCLEAR表示がズレるバグを修正
	・TOMOYOモードでEXステージが2Xと表示されるバグを修正
	
	Version 1.60c7o5(06/05/03)
	・シングル台でも対戦モードを遊べる
	・SETTINGで設定を保存したときはグラフィックだけ再読み込み
	・サウンドテストで背景の設定が反映されないバグを修正
	・効果音の音量、効果音を流すかどうか、BGMを流すかどうかの設定をiniに追加（from hogeパッチ）
	・DEVILモードでロールクリアをすると段位がS13になるように変更
	・128回、回転＆移動ができるWORLD2ルールを追加
	　題字の色は3、数字の色は5がデフォルト
	・ブロックの周りに白い四角形（棒以外は3x3、棒は4x4）を表示する設定をiniに追加
	　回転入れの練習、壁蹴りの研究などに役立つかも？
	
	Version 1.60c7o4(06/04/30)
	・コンピュータの思考ルーチンを少し変更＆1ラインだけ消える手を捨てる設定を追加
	・新フォント追加（今のところフォントサイズがSMALLのときのTOMOYOモードのリザルトで使用）
	
	Version 1.60c7o3(06/04/29)
	・TOMOYOモードでリプレイにクリア率を保存（リプレイ選択画面で表示）
	・フォントサイズSMALLの時にもTOMOYOモードでクリア率を表示
	・リプレイ選択画面やランキングなどでFIELD BGの設定を反映
	・分数線の色が変化すると分数線の枠の左側が切れてしまうバグを修正
	・コンピュータに操作させる設定をiniに追加
	・思考ルーチンを少しマシに
	
	Version 1.60c7o2(06/04/26)
	・ライン消去判定をブロックを置いた所に限定(調べる段数が21→4に削減、ただしBIGはまだそのまま）
	・リプレイでポーズできるよう変更（ただしキーボードのみ）
	・デモ画面を少し変更（一応コンピュータに任せる…ただし激弱）
	
	Version 1.60c7o1(06/04/25)
	・落下スピードが49以下の時に分数線の右に白い物が出てくるバグを修正
	・裏段位を追加
	・死んだ瞬間REメダルが点灯してしまうバグを修正したつもり（判定タイミング変更）
	
	Version 1.60c7n9(06/04/25)
	・リプレイ画面のTOMOYOフォントを追加
	・分数線を速度に応じて赤に
	
	Version 1.60c7n8(06/04/23)
	・TOMOYOモードをリプレイに対応
	　（ステージスキップをすると記録できなくなりますのでご注意ください）
	・bgmフォルダにtomoyo.wavを置くとTOMOYOモードでそれが鳴ります。
	・フォントSMALLでレベルアップ方式をHEBORISにすると、レベル表示がズレるバグを修正
	・エンディング中もT-SPINが表示されるように変更
	
	Version 1.60c7n7(06/04/22)
	・長くなったので今までの更新履歴をchangelog.txtに移動
	・HOLDを禁止する設定を追加
	・IRSを禁止する設定を追加
	・PRACTICEにFPS設定を追加
	・リプレイでNEXT1が化けるバグを修正
	・リプレイでNEXT表示数が強制的に3になってしまうバグを修正
//   Version 1.60c7n6(06/04/20)  下入れ制限のバグを修正
//                               キーアサインモードの即キャンセルバグを修正したつもり
//                               world_drop_sndを2にすると即落下以外のときに接地音が鳴ります
//                               T-SPIN表示追加（接地した状態で回転しそのまま移動せずライン消しすると表示）
//                               seフォルダを作ってtspin.wavを置くとT-SPIN時にそれが鳴ります
//                               エンディング中もREメダルが点灯してしまうバグを修正
//                               スタッフロールが上まで行った後、EXCELLENTが出てくるまでの時間を短縮
//                               T-SPINのON/OFF設定追加
//   Version 1.60c7n5(06/04/19)  スタッフロール追加
//                               エンディング突入時はライン消しエフェクトで消去
//   Version 1.60c7n4(06/04/17)  INPUT SETTING画面
//                               ・INPUT TEST追加（キー入力テスト）
//                               ・DISP ASSIGN追加（設定状況を確認）
//                               ・JOYSTICK設定画面からキーボードのENTERキーで脱出できるようにした
//                               オプション画面追加（iniファイルの設定の一部をiniファイルを変えずに変更できます）
//                               タイトル、モードセレクト、レベルセレクトの項目を押しっぱなしでも選べるようにした
//                               VERSUSモードでアイテムを食らっている時は枠が赤くなるようにした
//                               REメダルが死んだ瞬間に点灯してしまうバグを修正したつもり
//   Version 1.60c7n3(06/04/15)  TOMOYOモードのEX突入分岐をステージ20だけで判断するようにした
//                               EXとステージ20はスキップ不可
//                               レスキューメダルを追加
//                               スペースが狭いのでレベルなどを若干下に移動
//                               DEVILモードではskill値を二倍にしました
//                               なんか色々弄ったような気がする
//   Version 1.60c7n2(06/04/13)  リプレイで色が化けるバグを修正
//                               DEVILでせり上がるタイミングがおかしくなっていたのを修正
//                               モノクロモード追加
//                               BEGINNERのスピード修正（リプレイが見れなくなってます）
//                               BEGINNERのゴールを200に短縮（リプレイが見れなくなってます）
//                               world_drop_sndが1の場合でも出現時に接地していたら接地音が鳴ってしまうバグを修正
//                               TOMOYOモードでTOTAL TIMEを表示する設定を追加
//   Version 1.60c7n1(06/04/13)  ブロックの色が化けるバグを修正
//                               対戦モードにアイテム追加（MIRROR・ROLL ROLL・DEATH BLOCKの3種類）
//   Version 1.60c7m9(06/04/12)  段位やTOMOYOモードの表示をSMALLフォントに対応
//                               メダル表示変更（medaltypeで2種類の中から切り替え可能）
//                               ワールドルールで接地音を鳴らす／鳴らさない設定追加（world_drop_snd）
//                               プラチナブロックが消えたときは+1と表示
//                               全てのブロックで破壊エフェクトを表示する設定追加（super_breakeffect）
//                               []がNEXT1に出現するとHOLDも一緒に[]に化けてしまうバグを修正
//                               （内部的に大幅修正しました。レベルではなく色を記憶するように）
//                               COメダルを既に手に入れていてもまた条件を満たすとmedal.wavが鳴ってしまうバグを修正
//                               BIG時にテトラミノが空中で静止することがあるバグを修正
//                               TLSをBIG対応
//   Version 1.60c7m8(06/04/10)  BIGモードで棒以外がかなり上から出現してしまうバグを修正
//                               BIGモードで２列消しからのコンボで歓声が上がるバグを修正
//                               COメダルで1列消しはカウントしない
//                               COメダルを獲得した瞬間にmedal.wavを再生
//   Version 1.60c7m7(06/04/10)  COメダルを追加（ただしheboコンボなので1列もカウント）
//                               簡単に繋がるので閾値を上げた
//   Version 1.60c7m6(06/04/10)  TOMOYOモードのクリア率の計算方法を元に戻した（こっちが本家形式）
//                               半ブロック分ずらせる真のデスブロック追加
//   Version 1.60c7m5(06/04/09)  DUAL台をジョイスティックでプレイすると、1P2Pが同時に入力されるバグを修正
//                               （本当は2P側のボタン設定を作る予定でしたがconfig.cを読んでも何をしているのか分からずorz）
//                               ROLL ROLLの最初に回り始めるタイミングを変更（ステージタイムが30フレで割り切れる時に開始）
//                               TOMOYOモードに足切り設定追加（BORDER）
//                               TOMOYOモードのクリア率の計算方法がおかしかったのを修正
//                               TOMOYOモードでコンティニュー画面でもクリア率を見れるようにした
//   Version 1.60c7m4(06/04/09)  21面以降はEX○と表示
//                               表示関係の不具合いくつか修正（詳しい変更箇所は忘れましたorz）
//                               DEVILモードで段位がS10以上になった場合、リザルト画面で枠に被って表示されるバグを修正
//   Version 1.60c7m3(06/04/07)  SAKURAモードの名称をTOMOYOモードに変更
//                               ・クリア率とトータルタイムを表示
//                               ・クリア率とタイムに応じて最終ステージがかわる
//                               ・一部のプラチナ抜けを補充
//                               ・リプレイをフォルダに
//                               ・文字配置を色々と
//   Version 1.60c7m2(06/03/29)  SAKURAモード
//                               ・ステージクリアしてもすぐにタイマーが止まらないように変更
//                               ・ステージタイムの色を変更（今まで見にくかった）
//                               ・モードセレクトに戻る際にフィールドを全て消去するように変更
//                               ・2P側でプレイするとステータス表示がズレるバグを修正
//                               ・レベルアップタイプがHEBORISだとミラーが１手毎に発動するバグを修正
//                               ・クリア毎に合計プレイタイムが初期化されてしまうバグを修正
//                               ・BGMがフェードアウトしたあとステージクリアしたり死んでコンティニューしたとき
//                               　セクションが切り替わる前でも次のBGMが流れてしまうバグを修正
//                               ・レベルが引き継がれないように変更
//                               ・ステージ27クリア後、地形の灰色化処理を飛ばすよう変更
//                               ・SAKURAを選んだ状態でタイトルに戻り、もう一度SOLO MODEに行くと
//                                 あらかじめ何かが置かれている状態で他のモードを遊べてしまうバグを修正
//                               その他
//                               ・HOLDが原因で窒息した場合、最下段が消えないバグを修正
//   Version 1.60c7m1(06/03/28)  SAKURAモード
//                               ・SOLO MODEの中に入れました（BEGINNERの左、DEVILの右）
//                               ・21面以降のステージタイムを無限にしました。
//                               ・ランダムモードをDUALでもできるようにしました。
//                               ・レベルによってスピードに変化をつけるようにしました。レベル300で20Gになります。
//                                 ただしそれより以前はMASTERモードの流用ですorz
//                               その他
//                               ・1P2P共有だったツモを別々に変更（ただし対戦モードでは1Pのツモを2Pにコピーします）
//                               ・2人同時プレイで片方が死んだとき、音楽が重なるバグを修正しました。
//   Version 1.60c7l9(06/03/26)  SAKURAモード
//                               ・DUAL台に対応
//                               ・ランダムモードを追加(とりあえずSINGLE台限定)
//                               ・プレイ終了後にNEXTCをプレイ開始前に戻す
//                               　コンティニュー時はステージ開始前に戻す
//                               ・ステージ27がループするのを修正
//                               ・ステージ27クリア後にスタッフロールにならないようにした
//                               ・ステージ20クリア後にリミットタイムを1分延長する
//                               ・セレクト画面でステージを切り替えたとき、フィールドを読み込むようにした
//                               ・１回床につけるごとにMIRROR化するバグを修正
//   Version 1.60c7l8(06/03/24)  SAKURAモード
//                               ・QUICKERASEがOFFだとステージクリア判定が遅れるバグを修正
//                               ・BIGを使用可能
//                               ・セレクト画面からタイトルに戻るとき、回転法則をセーブ
//                               ・NEXTCはセレクト画面でHOLDボタンを押す以外に初期化されないように変更
//                               ・ステージ27クリアでエンディング
//                               ・ステージスキップ機能追加（デフォルトはF5キー）
//                               その他
//                               ・BIGではピンチ状態にならないように修正
//   Version 1.60c7l7(06/03/24)  細かい不具合修正
//                               SAKURAモードでは別のREADY GO のタイミング値を使用するように変更
//                               ツモがあらかじめ進んだ状態でスタートする「NEXTC」を追加（HOLDボタンで0に戻します）
//                               hide_scoreを0にするとSAKURAモードでは現在のステージと残りプラチナブロック数を表示
//                               heboris.iniを読み込んだ後、heboris_user.iniからも設定を読み込みます
//   Version 1.60c7l6(06/03/23)  警告音のループ感覚を短くした
//                               SAKURAモードにメニュー追加
//                               ステージエディタ追加（操作性悪い）
//   Version 1.60c7l5(06/03/22)  警告音を鳴らすタイミングを変更
//                               SAKURAもどき実験
//   Version 1.60c7l4(06/03/22)  窒息しそうになると警告音がなります
//   Version 1.60c7l3(06/03/21)  対戦モードで
//                               ・終わった後WAIT値などが初期化されないように修正
//                               ・設定項目を上下押しっぱなしでも選べる
//                               ランクインしていなかった場合、nameentry.wavが鳴りっぱなしになるバグを修正
//   Version 1.60c7l2(06/03/20)  ホールドしたとき、ブロックが重なっていたらゲームオーバーにするようにした
//                               （今までは重なってて動けない状態なのにゲームオーバーになっていないという状況だった）
//                               PRACTICEで遅延防止モードに突入した場合、終わったあとは元のwait値に戻す
//                               遅延防止モードの速度はspeed.defで変更可能
//   Version 1.60c7l1(06/03/18)  BIGで窒息したとき最上段が消えないバグを修正
//                               ラップタイムやスプリットタイムが00:00:00の時は表示しないように修正
//                               breaktypeが0のとき色がバグっていたのを修正
//                               breaktypeを3にするとBEGINNERのみ旧エフェクト、それ以外新エフェクト
//   Version 1.60c7k9(06/03/15)  遅延防止モードをエンドレスでも有効にできる設定を追加
//                               死んだとき枠を消す設定を追加
//                               死んだときスーッと消える演出を対戦にも入れた
//                               クラシックルールとワールドルールのグラフィック切り替えの仕様を変更
//                               （1つのプレーンに詰められていたものを2つのプレーンに分けて単純化）
//   Version 1.60c7k8(06/03/12)  SETTINGでのカーソル操作をPRACTICEと同じようにした
//                               固定→次を2フレーム短縮
//                               クラシックルールでの接地後の下入れを8カウント加速ではなく即接着に変更
//                               遅延防止モードはタイムトライアルのみ発動、また横溜めは高速化させない
//   Version 1.60c7k7(06/03/11)  MASTERで完全クリアした後の表示がおかしいのを修正
//                               900〜999のセクションタイムが記録されないバグを修正
//                               PRACTICEのT_ENDINGの仕様を変更（名称をENDINGにし、種類を方向キーの左右で選べる）
//   Version 1.60c7k5(06/03/08)  TIルールで、接地していない場合の赤は床蹴りをしないように修正
//   Version 1.60c7k4(06/03/06)  コンボ数初期化がちゃんと行われていなかったのを修正（hebocombo）
//                               []やロールロール中で操作中ブロックの色が変わっていてもTLSに反映されていなかったのを修正
//                               全消し回数表示追加（SK表示の下）
//   Version 1.60c7k3(06/03/03)  シングル台のBIGでかなり右寄りになってしまっているのを修正
//                               シャドウタイマー有効時でもせり上がりブロックや初期配置ブロックは消えなくした
//                               GMになってない時は「EXCELLENT ○○○ MODE ALL CLEAR」と表示するよう変更
//                               ランキングで完全クリアした場合を考慮するよう修正
//                               view.cにprintFontEx関数を追加（まだ未使用。printFontのドット単位バージョン）
//   Version 1.60c7k2(06/03/03)  うっすら消えるシャドウタイマーでもパッと消えるようにした（TAPに近くなる？）
//                               []を2人同時プレイで使用してもバグらないように修正（flag_over1000とblockcolors絡み）
//                               PRACTICEで[]を使うとプレイ後の2P側の[]ブロックに枠線が付いているバグを修正
//                               BIG時の消滅エフェクトを少し右に寄せてみる
//   Version 1.60c7k1(06/03/01)  シャドウタイマー
//                               ・種類を変える設定をiniに追加
//                               ・うっすら消えるタイプでは消える速度を早くした
//                               ・p_shadow_timerが0だと消えロールになるバグを修正
//                               ・PRACTICEで捨てゲーすると2P側が凄いことになるバグを修正
//                               ・シャドウタイマー使用フラグをプレイヤーごとに分けた（2人同時見えロールがバグらない）
//   Version 1.60c7j9(06/03/01)  スコア計算が行われるタイミングを「ライン消しアニメの後」から「ラインを消した瞬間」に変更
//                               全消しした時の表示を「BRAVO! X 10」から「BRAVO! X 4」に変更
//                               シャドウタイマー有効時、まだ見えているブロックがうっすら消えていく演出を追加
//                               PRACTICEにツモ送り有無設定を追加
//   Version 1.60c7j8(06/02/24)  ライン消しでレベルX99になったとき、レベルストップ音が鳴らないバグを修正
//                               エンディングに突入するとラップタイムとスプリットタイムが00:00:00になるバグを修正
//                               BIGモードでの操作中ブロックの描画処理をiniで2タイプから選択可能にした
//                               （通常ブロック×4つ描画、またはブロックを2倍拡大から選択）
//                               []時でもHOLD枠が出るように変更
//   Version 1.60c7j7(06/02/23)  DEVILモードでは100レベル毎にGRADEが設定されるようにした
//                               HeborisレベルルールのTLSを12Lvまでから6Lvまでにした
//                               スキルはhide_skillやdebugフラグがなくても今どのメダルを取っているかわかるようにした
//                               hide_skillが0か、debugフラグを1にすると、回数も表示
//                               ラップタイムとスプリットタイムを*0TGMLvか*HeborisLv毎に記録するようにしました。(1300TGMLv, 78HeborisLvまで記録)
//                               (hide_st_recordが0か、debugフラグを1にすると、画面中央上部に表示されます。上がスプリットで下がラップ
//                               heboris.iniで*の部分は設定可能です(デフォルトは100Lv毎, 6Lv毎)
//                               また、SINGLE台にすると画面左側にラップタイムが、画面右側スプリットタイムが表示されます)
//   Version 1.60c7j6(06/02/22)  ソースを複数の.cファイルに分けた
//                               長い処理を別関数に独立させた
//                               サウンドテストで39(medal.wav)を聞けるようにした
//                               対戦でLV100までTLSが出るようにした
//                               捨てゲーしたら全効果音を止めるようにした
//   Version 1.60c7j5(06/02/19)  PRACTICEにフィールドのミラー化機能を追加
//                               PRACTICEにロールロール機能を追加
//                               PRACTICEにシャドウタイマー機能を追加、シャドウタイマーを普通ロールでも発動させる
//                               PRACTICEのHOLDブロックの初期値を設定できるようにした
//                               PRACTICEでREADY GOのときツモを送れるようにした
//                               READY GOのタイミングを設定できるようにした
//                               スタッフロールでのwait値と落下速度を設定できるようにした
//                               DEVILのLV1100以降のwait値が変わらないバグを修正
//                               DEVILのLV1000以降で通常ブロックの枠が消えないようにした
//                               ドロップボーナスが累積されるバグを修正
//                               スタッフロールに入るときの演出がBIG対応されていなかったので修正
//   Version 1.60c7j4(06/02/12)  リプレイで勝手にポーズされるのを修正
//                               (「リプレイでもポーズできるようになった」は結局廃止orz)
//   Version 1.60c7j3(06/02/10)  2回以上ホールドするとゴーストがおかしくなるのを修正
//                               IHSでないタイミングのホールドでもIRSができるよう修正
//                               リプレイでもポーズできるようになった
//                               他のアプリケーションをアクティブにした場合は動作を一時停止するようにした(gameinit.c)
//   Version 1.60c7j2(06/02/10)  鏡像表示機能を追加
//                               画面の左半分の状態を右半分に反転して描画
//   Version 1.60c7j1(05/12/16)  ブロックの色を変える設定を追加
//                               GM条件の設定を追加
//   Version 1.60c7i9(05/12/15)  HIDDEN LV表示を隠す設定を追加
//                               背景を非表示にする設定を追加
//                               viewScore関数の実行をしない設定を追加
//                               objectExecute関数の実行をしない設定を追加
//                               NEXTを非表示にしているとNEXT欄の表示がおかしくなるのを修正
//   Version 1.60c7i8(05/12/14)  TGMLVの上昇タイミング変更(from hogeパッチ)
//                               簡易セレクトでCを押しながらAを押すとBIGモード
//                               BIGモードでDEVILをクリアしたとき、リプレイがおかしくなるバグを修正したつもり
//   Version 1.60c7i7(05/11/16)  ワールドルールの[]を緑にした(Graphics.dat)
//                               BIGだと[]に枠が付くバグが直ってなかったので修正
//   Version 1.60c7i6(05/11/16)  []でも白枠＆黄枠が付く事があるバグを修正
//                               捨てゲーしたときの動作をiniで変更できるようにした
//                               ポーズ中だけ捨てゲー可能にする設定をiniに追加
//                               簡易セレクト画面を追加(TIME TRIAL専用、回転法則とモード以外固定)
//                               結果画面でGRADEが1以下の時、表示が1文字分ズレるのを修正
//   Version 1.60c7i5(05/09/28)  []BLKがOFFでも、レベル1000以降でHOLDすると[]になっているバグを修正したつもり
//                               breakeffectが1の時、時々縦線が出るバグを修正
//                               黒いブロックの破壊エフェクトを追加
//                               フェードアウト開始レベルをiniで指定できるように
//                               シングル台のセレクト画面でBボタンを押すか、捨てゲーするとタイトルへ直行できるようにした
//                               リプレイ選択画面でファイル番号を表示
//                               ランクインした時に何位に入ったか表示し、リプレイセーブもできるようにした
//                               SOLO MODEのTIME TRIALで0以外から開始できるバグ修正
//   Version 1.60c7i4(05/09/24)  テストメニュー追加(タイトルでCボタン)
//                               breaktypeを2にすると旧バージョンのエフェクトを使用できるようにした
//                               PRACTICEの「T_ENDING」の開始を高速化
//                               TGM風NEXT生成でnext_adjustが無視されるバグを修正
//                               DEVILの曲の切り替えパターン変更(1000以降はとりあえずBGM07.wavを再生)
//   Version 1.60c7i3(05/09/22)  1M0452.zipの変更取り込み＆READY→GOが無いバグを修正
//                               ミノが操作できる状態だと[]になっているバグを修正
//                               []ブロックの処理を簡略化
//                               BIGモードで[]の時、固定時に一瞬通常のミノが見えるバグを修正
//   Version 1.60c7i2(05/09/22)  せり上がり間隔をレベルではなく、ミノを着床させた回数に変更
//                               DEVILのTIME TRIALのLV1000以降でせり上がらないようにした
//                               ランクアップのときのSEにrankup.wavを使うようにした
//                               ロール突入時にGM条件を満たしていないと、シャドウロールにならないようにした
//                               セッティングのTGM LEVELをSHOW LEVELに変更し、レベル自体の表示切替をするようにした
//                               PRACTICEでTLSとレベルアップタイプが連動しないようにし、TLSをOFFにできるようにした
//                               TIME TRIALでレベル選択させない仕様を復活した
//                               HEBORISレベルの表示位置を変更しGRADEと重ならないようにした
//                               DEVILで選択できるHEBORISレベルの上限が30までだった問題を修正
//                               PRACTICEでのBGMが再生されない問題などを修正
//                               PRACTICEでせり上がり間隔を20(heboris.iniの設定値)未満にしても、最初のせり上がりのみLV20になるのを修正
//   Version 1.60c7i1(05/09/18)  下入れ＆上入れ得点の有無を設定できるようにした
//                               HOLD時の枠は個別で設定するようにした
//                               段位認定機能を無効にできるようにした
//   Version 1.60c7h9(05/09/17)  SHOW COMBOSがONの時、SINGLEなどの表示が化けているのを修正
//                               PRACTICEで[] BLKをONにしてもNEXTに色がついたままなのを修正
//                               BREAK EFFECTがOFFでも破壊エフェクトが表示されるのを修正
//                               SOLO MODEのセレクト画面での不具合修正
//   Version 1.60c7h8(05/09/15)  LV1000に達したときにNEXTのブロックを全部[]ブロックには変えずに
//                               NEXTの奥から順次に出現するようにした。
//                               ブロック消去時のエフェクトを選択できるようにした。
//                               MASTERのTIMEATTACKモードで、LV999に達したらシャドウロールもどき
//                               になるようにした。shadow_tetrisで切り替え可能。
//                               SETTINGでのブロック枠の設定に、落下中のブロックは枠無し、
//                               フィールド上のブロックに枠を描画する設定を追加。
//                               ゲームのメニューに[]ブロックの出現を制禦するオプションを追加。
//   Version 1.60c7h7(05/09/04)  DEVILでロールまで行ったリプレイが再生できないバグをとりあえず修正
//                               (「最初からBIG」ができない副作用が残ってますorz)
//                               DEVILのレベルセレクトで1300を選びスタート→捨てゲーする→他のモードを選ぶ→(ry 修正
//   Version 1.60c7h6(05/09/03)  レベルセレクトで1300を選べないようにした＆モードによって選べる最大レベルを変更
//                               リプレイで開始レベルが0以外の場合もちゃんと背景が変更されるようにした
//   Version 1.60c7h5(05/09/02)  DEVILのTIME TRIALで1000以降のレベルストップがおかしいのを修正＆ロールをBIG化
//   Version 1.60c7h4(05/08/31)  SETTINGのNEXT PATTERNに8を追加
//                               (TGM風。ランダムではありませんが、同じブロックが連続で来ることがあります)
//   Version 1.60c7h3(05/08/31)  heboris.iniの設定で死亡時のアニメーションを選べるようにした
//                               heboris.iniの設定で15分以上プレイすると超高速にできるようにした
//   Version 1.60c7h2(05/08/31)  固定→次の無駄な2フレームを縮めた
//                               1.60c7g6以前の設定を読み込むとjoypadの捨てゲーキーが上キーに割り当てられる問題を修正
//   Version 1.60c7h1(05/08/30)  リプレイが再生できない問題を修正(応急処置)
//   Version 1.60c7g9(05/08/29)  1.60c7g7のせり上がり判定のフレーム調整を元に戻した
//   Version 1.60c7g8(05/08/28)  ワールドルールでの異常な動作を修正(タイムが止まる、TLSが出ない)
//   Version 1.60c7g7(05/08/28)  タイムトライアルにとりカンを追加。(足きりタイムはheboris.iniで設定)
//                               捨てゲーキーとポーズキーをjoypadに割り当てできるようにした
//                               ポーズキーとNEXT表示切替キーをSETTINGで変更できるようにした
//                               せり上がり判定で無駄に1フレームかからないようにした
//                               全消しチェックは最下段だけでなく全部見る(床から浮いている地形の読み込みでの全消しを防止)
//                               heboris.iniのツモを黄色、紫、緑だけにして読み込み、NEXTADJUSTをONにすると固まるバグを修正
//   Version 1.60c7g6(05/08/27)  解像度に800x600・1024x768・1280x960(それぞれウィンドウのみ)を追加。
//                               また、フルスクリーンに640x480を追加。
//                               ホールドした時に枠の色が変わる仕様を追加。
//   Version 1.60c7g5(05/08/17)  段位認定作ってみる(まだ表示だけ)
//   Version 1.60c7g4(05/08/17)  BEGINNERで枠の色が緑にならないのを修正
//                               リプレイで2P側の「PLEASE WAIT」を「REPLAY」に変更し、表示ズレ修正
//                               デモ画面に入るまでの時間を増やし、メニュー表示中はデモ画面にならないようにした
//                               TIME TRIALのBEGINNERとDEVILのカンスト時の分母表示を修正
//   Version 1.60c7g3(05/08/17)  BEGINNER・MASTER・20Gのwait値の初期値をspeed.defで設定できるようにした
//                               レベルアップボーナス(3列消しで+1、4列で+2)の有無を設定できるようにした
//                               せり上がり開始レベルになってもすぐにせり上がらないようにした
//                               BIGでせり上がりタイプがSHIRASE以外のときのせり上がり対応
//                               PRACTICEでツモを読み込めるようにした(heboris.ini)
//                               DUAL台で1Pと2Pのモードセレクトを同時に行うときSHIRASEとGAME MODEの表示が連動してしまう問題を修正
//                               2PのBIGモードで消去の挙動がおかしくなるバグを修正
//                               2Pの窒息後の結果表示のズレを修正
//                               リプレイ選択でBEGINNERのリプレイを選べない問題を修正
//   Version 1.60c7g2(05/08/16)  対戦で
//                               ・HIDDENとBIGが使えるようになった
//                               ・タイムを中央に出すようにした
//                               ・旧バージョンのせり上がりタイプ復活(RANDOM)
//   Version 1.60c7g1(05/08/15)  初手のブロックに黄色、緑、紫が出ることがあるのを修正
//                               対戦モード仮復活
//   Version 1.60c7f9(05/08/11)  下入れ使いまわし(downtype)設定追加＠実験
//   Version 1.60c7f8(05/08/11)  設定でワールドルール時に回転方向を逆転させられるようにした(左右左→右左右)
//   Version 1.60c7f7(05/08/07)  移動音設定がWORLDで効果がないのを修正
//                               回転音設定追加(heboris.ini)
//                               HOLD時はseフォルダ以下にhold.wavを鳴らすようにした(サウンドテストでは6番)
//   Version 1.60c7f6(05/07/09)  PRACTICEで
//                               ・最初からブロックが積まれている状態にできるようにした(heboris.ini)
//                               ・NEXT5個分とHOLDを変えられるようにした
//                               デュアル台でREADYの後「START!」が一瞬2P側に出るバグを修正
//                               全消しエフェクトを無効にできるようにした(heboris.ini)
//                               操作状況をリプレイ以外でも出す設定追加(heboris.ini)
//   Version 1.60c7f5(05/07/09)  heboris.iniの設定によっては初手のブロックに黄色、緑、紫が出るように修正
//                               PRACTICEでBGM4以降を選べる
//                               オレンジに表示されるランキングをとりあえず導入
//                               (ロール中に死亡で緑 完全クリアでオレンジ)
//   Version 1.60c7f4(05/07/09)  ゲームモードによって枠の色を変更するようにした
//                               対応は以下の通り
//                               BEGINNER=EASY MASTER, 20G=NORMAL DEVIL=SHIRASE PRACTICE=EXAMINATION
//                               セーブデータに接着時間などの情報を保存するように変更
//                               初手のブロックに黄色、緑、紫が出ないように調整
//   Version 1.60c7f3(05/07/07)  SOLO MODEで結果画面を出せるようにした
//                               スコアとラインを隠せるようにした
//                               BEGINNERとDEVILでもタイムアタックできるようにした(まだ適当)
//                               (BEGINNERは300、DEVILは1300でエンディング突入)
//                               注意:BEGINNERで花火、置き場所誘導などがありません
//                                    DEVILで足切りがありません
//                                    実物は500, 1000, 1300, 1600, 2000ですがDEVILでは1300で必ず終わります
//                                    スピードが明らかに不正確です
//   Version 1.60c7f2(05/06/24)  SOLO MODEでのSHIRASEの設定をDEVIL以外の全てのモードで有効にした
//   Version 1.60c7f (05/06/24)  ・SOLO MODEでのSHIRASEのON/OFFを設定できるようにした(DEVIL時のみ有効)
//                               ・破壊エフェクトとコンボ表示のON/OFFをSETTINGメニューで設定できるようにした
//                               ・PRACTICEでLV1000以上の[]ブロックを最初から使う状態にしたとき
//                                 SOLO MODEでも反映されてしまう問題を修正
//                               ・[]ブロックが固定されたときの点滅を防止
//                               ・SETTINGでの枠線の設定を、フィールド上のブロックにも適用するようにした
//   Version 1.60c7e (05/06/22)  PRACTICEでLV1000超過時の[]ブロックが使用可能
//                               BIGモードでLV1000を超えても落ちてくる時のブロックがそのままなのを修正
//   Version 1.60c7d (05/06/18)  LV1000を超えたあとはブロックをすべて[]に変更するようにした。
//                               TGM, TI, WORLD全てのモードに対応。リプレイにも反映。
//                               WORLDでHOLDが化けるバグを修正。
//                               PRACTICEでHIDDEN LV8にしたとき、TAPのシャドーロールのように
//                               積まれたブロックが透明になるようにした。
//   Version 1.60c7c (05/06/03)  PRACTICEで
//                               ・回転法則がTIの時、スコアの計算方法をTIME TRAIL式にできるようにした
//                               ・背景をheboris.iniで設定できるようになった
//                               サウンドテスト追加(タイトル画面でHOLDを押す)
//   Version 1.60c7b (05/06/02)  ・wait2関連のバグ取りのみ
//   Version 1.60c7a (05/06/01)  ・hold時の処理を修正
//   Version 1.60c7  (05/06/01)  ・BIGモードを中心に色々。#1.60c7
//   Version 1.60c6.2g(05/05/29) ・せり上がりタイプ(SHIRASE⇔TGM+)の切り替えをできるようにし、
//                                 せり上がりタイプがTGM+のときのせり上がりパターンを編集可能にした。
//                               ・DEVILでせり上がりを開始するレベルを設定できるようにした。
//                               ※これらの設定はheboris.iniで設定する。(同じくゲーム中に変更はまだ(´･ω･｀))
//                               ・DEVILをレベル600以降で開始すると床が激しくせり上がる問題を修正。
//                               ・PRACTICEで捨てゲーしたときwait値とかが初期化されないようにした。
//   Version 1.60c6.2f(05/05/25) PRACTICEで死ぬとNEXTが3に戻るのを修正しました。
//                               WORLDルールでレベルストップ音が鳴らないのを修正しました。
//                               SHIRASEで何レベルごとに何ラインせり上がるかをheboris.iniで設定できるようにしました。
//                               (ゲーム中に変更はまだ(´･ω･`))
//   Version 1.60c6.2e(05/05/23) TGMルール、TIルールのTGMモードとWORLDモードで、
//                               TLS有効をレベル100に延長しました。
//   Version 1.60c6.2d(05/05/18) 主にPRACTICEモードの音楽関係のバグ修正です。
//                               START!を選んで左右を押すと流すBGMの変更もできます。
//                               後はPRACTICEモードでHIDDENを8にできることぐらい…(もちろんhogeパッチのパクリ)
//                               (修正部分には#1.60c6.2dとコメントしてあります)
//   Version 1.60c6.2c(05/05/18) PRACTICEモードに機能追加
//                               ・HOLDを押すと文字の色が赤くなりSHIRASEモードになる
//                               ・hogeパッチよりFAVORITES機能を追加
//                                 (今のところheboris.iniを使って設定します。バイナリ設定はまだorz)
//                               シングル台で背景が「BLACK」以外だと背景がずれるのを修正
//                               (修正部分には#1.60c6.2cとコメントしてあります)
//   Version 1.60c6.1a(05/05/17) WORLDルールでシングル台をすると表示が変なのを修正
//                               シングル台での文字の表示ずれを修正
//                               CONFIG.CFGを消すとエラー吐いて落ちるのを修正
//                               (修正部分には#1.60c6.1aとコメントしてあります)
//   Version 1.60c6f (05/04/17)  PRACTICEで
//                               ・捨てゲーしてもTGMLVなどが0に戻らないバグを修正
//                               ・T_ENDING追加。タイムトライアルのエンディングと同じく1分で終わらせます。
//                               SOLOモードの途中参加待ち画面でボタンが利きにくいのを修正
//                               (変更部分には#1.60cfとコメントしてます)
//   Version 1.60c6d (05/04/17)  ・VERSUS MODEをPRACTICEに変更
//                                 hogeパッチのSIMULATIONモードみたいなものです。
//                                 急いで作ったのでWAIT値読み込みとかはまだ…
//                               ・ブロックシャッターを廃止
//                               ・いつでも捨てゲー可能
//                               (変更した所には#1.60cd hogeパッチからの改造はhogeとコメントしてあります)
//   Version 1.60c   (05/04/17)  Hold・Next3つ表示・赤床蹴り・捨てゲー(Qキー)・SS(Homeキー)・Joypadボタン割り当て(手動)
//                               追加部分には#1.60cとコメント
//                               HoldボタンとJoypadボタンの割り当てはKEYCONF.DEF参照
//                               セッティングユーティリティー使うと壊れるので注意
